OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class ANotExprPart

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PExprPart
              org.opennms.netmgt.filter.node.ANotExprPart

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class ANotExprPart
extends PExprPart

Field Summary
`private PExpr` `_expr_`
`private TNot` `_not_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`ANotExprPart()`
`ANotExprPart(TNot _not_, PExpr _expr_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`PExpr` `getExpr()`
`TNot` `getNot()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setExpr(PExpr node)`
`void` `setNot(TNot node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _not_

    private TNot _not_

### _expr_

    private PExpr _expr_

Constructor Detail

### ANotExprPart

    public ANotExprPart()

### ANotExprPart

    public ANotExprPart(TNot _not_,
                        PExpr _expr_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getNot

    public TNot getNot()

### setNot

    public void setNot(TNot node)

### getExpr

    public PExpr getExpr()

### setExpr

    public void setExpr(PExpr node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.